DisplaceD 1.1.2 (maya plugin)

DisplaceD is a deformer driven by a 2D/3D Texture!

Screen1

License Type:

Freeware

File ID:

3936

File Size:

1.5 MB

Created / Updated:

Apr 01, 2006 / Feb 07, 2014

Owner:

hajime   More free downloads from this user See users marketplace items See this users portfolio Send a Private Message

Platforms:

linux, mac, windows

Downloaded:

15,462

Maya:

7.x, 8.x, 2008, 2009, 9.x, 2010, 2011, 2012, 6.x, 2013, 2014

Tags:


Dashboard_avatar
Apr 01, 2006
Post id: 1175
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

man.....i love it. i realy like to work with displacement and your plug did just the thing i miss the most....preview of the surface in the working area.it is so simple and works greate.
thanks
ahope to see more of your creative work.

Dashboard_avatar
May 24, 2007
Post id: 2053
Report this comment to moderators [SPAM]

Very useful in all sorts of situations - cheap, quick and very integrated in the DAG.

Dashboard_avatar
May 24, 2007
Post id: 2055
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

I had at first had some troubles with this plug-in. The plugin is wonderful and does just as it advertises. The problems I ran into may deal with how deeply I dig into Maya.

Dashboard_avatar
Nov 17, 2007
Post id: 2540
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

This Plugin is doing a really good job - much better than Maya's "Heightfield" Node. This should go into Maya by default ;).

Dashboard_avatar
Nov 06, 2008
Post id: 3346
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

omg, best deformer for maya i ever seen, any plans for Maya2009 64bit ?

Dashboard_avatar
Nov 28, 2008
Post id: 3405
Report this comment to moderators [SPAM]

Yes I agree with others, its great plugin, please recompile it for maya 2009 best 64bit.. and once more THX for it

Dashboard_avatar
Mar 03, 2009
Post id: 3738
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

Amazing! Thank You!

View Cyberika's profile
Mar 04, 2009
Post id: 3750
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

Awesome!
Thanks!!!

View garyWelch 's profile
Mar 06, 2009
Post id: 3772
Report this comment to moderators [SPAM]

Its so good...I really very much want to use it at work, but cant unless the source code is posted to insure future compatibilty with our projects and Maya versions, any chance of posting the code?

Dashboard_avatar
Mar 16, 2009
Post id: 3816
Report this comment to moderators [SPAM]

tried to load the plugin for 2008 and said it was compiled w/ a newer version of maya. anyone else have this problem?
really want to try this plugin out.
thanks.

View Anthony Hulett's profile
Aug 01, 2009
Post id: 4301
Report this comment to moderators [SPAM]

How do you install it?

Dashboard_avatar
Oct 25, 2009
Post id: 8869
Report this comment to moderators [SPAM]

thank you, this is what it should be long time ago.

Dashboard_avatar
Oct 27, 2009
Post id: 8903
Report this comment to moderators [SPAM]

Same problem as Casey33 here

// Error: line 1: Plug-in, "DisplaceD" was compiled against a newer version of the Maya API and is incompatible with the current Maya version. (DisplaceD) //

Maybe it's because i'm running a 2008 32 bits maya version on a windows xp 64 bits ?
Anyone has an idea ?

Dashboard_avatar
Oct 28, 2009
Post id: 8910
Report this comment to moderators [SPAM]

Could you check below please.

-If you use 32bit Maya, you have to use 32bit plug-in even you are using 64bit windows.

-You have to use Maya2008 ext2.

File Author
Dashboard_avatar
Dec 18, 2009
Post id: 9551
Report this comment to moderators [SPAM]

i use maya 2010 how can i install the displaceD, its shows cannot find procedure displaceDCreature UI, please help me

Dashboard_avatar
Dec 20, 2009
Post id: 9571
Report this comment to moderators [SPAM]

Hi Hajime,
First: A great thank you for providing the world with this awesome plugin!

Well I also have a problem installing (win Vista 64 bit, Maya 2010 64bit)

its shows cannot find procedure displaceDCreature UI

Please help me.

Best regards
Lars

View sunil vallu's profile
Jan 05, 2010
Post id: 9699
Report this comment to moderators [SPAM]

im using a 32 bit windows7 machine with maya 2008 loaded, i tried loading displaced 2008 for win32. it gives me this error

// Error: Plug-in, "DisplaceD" was compiled against a newer version of the Maya API and is incompatible with the current Maya version. (DisplaceD)

Anyone having the same error ? need help.

Dashboard_avatar
Jan 07, 2010
Post id: 9715
Report this comment to moderators [SPAM]

Hi there,

yea im getting this error

// Error: Plug-in, "DisplaceD" was compiled against a newer version of the Maya API and is incompatible with the current Maya version. (DisplaceD)

Im running winXP x64 with Maya 2008 x64 with the Maya 2008 x64 DisplaceD plugin.

Way confused

Dashboard_avatar
Jan 08, 2010
Post id: 9723
Report this comment to moderators [SPAM]

DisplaceD is compiled against 2008 "ext2".
Please make sure if your Maya2008 is up to date. Without update, it won't work.

File Author
Dashboard_avatar
Jan 17, 2010
Post id: 9839
Report this comment to moderators [SPAM]

Excuse me , did anyone solve the problem with the "Cannot find procedure displaceDCreateUI" shown? I am using maya2009 32bit , maya just keep showing this problem,and in the creat deformer menu , I can't find the "dilplaceD" command. Please help me out .

Dashboard_avatar
Jan 19, 2010
Post id: 9869
Report this comment to moderators [SPAM]

were i should put .mel files

Dashboard_avatar
Mar 08, 2010
Post id: 10419
Report this comment to moderators [SPAM]

I'm trying to install this plugin on an intel mac and having troulbe finding where to put the .bundle file and the .mel scripts. Can't seem to find the scripts folder and no idea where to put the .bundle. Thanks for any help.

View Fabio Basile's profile
Mar 28, 2010
Post id: 10651
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

Nicely done, saved me a lot of time. I agree it should be standard in Maya.

Dashboard_avatar
Apr 01, 2010
Post id: 10695
Report this comment to moderators [SPAM]

Has anyone solved the problem with the "displaceD Creature UI" thing?

Dashboard_avatar
Apr 09, 2010
Post id: 10763
Report this comment to moderators [SPAM]

>Has anyone solved the problem with the "displaceD Creature UI" thing?

It will be happen if you are not install .mel scripts in zip file.

Cheers

File Author
Dashboard_avatar
Apr 17, 2010
Post id: 10852
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

One of the best plugins

Dashboard_avatar
May 06, 2010
Post id: 11067
Report this comment to moderators [SPAM]

// Error: Object's name is not unique: displaceD_MenuItem1. //

Does anyone know what this means?

Dashboard_avatar
May 19, 2010
Post id: 11241
Report this comment to moderators [SPAM]

Very nice work, thanks a lot

View css_maya 's profile
May 23, 2010
Post id: 11267
Report this comment to moderators [SPAM]

hey
first of all, thanks for the great plugin,
is there any chance that you share the source? because i think sharing the source will be a very nice way to help people learn how to develop new deformers within API.
thanks

Dashboard_avatar
May 24, 2010
Post id: 11275
Report this comment to moderators [SPAM]

Big thanks for 2011 version, works great!

Dashboard_avatar
Jun 14, 2010
Post id: 11525
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

thanks for update

Dashboard_avatar
Aug 21, 2010
Post id: 12200
Report this comment to moderators [SPAM]

I would like to instal this onto my mac running Maya 2011, but all I have is a .bundle file. Can't locate the .mll for the plug-in folder in this download. Please help.

*Update* No worries, figured it out. =) All works! Thanks.

Dashboard_avatar
Mar 02, 2011
Post id: 13955
Report this comment to moderators [SPAM]

Great work, flexible and fast. Definitely one of my most used plugins.

There is one problem I have with it from time to time and that is that it does not update sometimes when using animated textures. Here's my setup in 2011 OSX:

Ramp > color gain of a File Texture > Projection > DisplaceD

It shows up in the viewport and will update when you change the value of the ramp and/or texture. But if I animate it over time and scrub through the timeline or playblast, displaceD does not update. It will only update when I go to a specific frame.

A different setup that wasn't working in the past I've gotten to work by adding a ramp node in between like this. File Texture > Ramp > DisplaceD

I need to use a projection and am not having any luck, any ideas anyone?

EDIT: Thanks to the speedy response by the community I've figured it out on my own. DisplaceD does not like a projection going directly into it if things feeding that projection are animated. Gotta re-arrange and use other combination of nodes to get the same result.

Dashboard_avatar
Mar 13, 2011
Post id: 14041
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

It is a excellent plugin and it suitable for the alternative to height field generator.

View romanhorol's profile
May 14, 2011
Post id: 14486
Report this comment to moderators [SPAM]

hey there iam using maya 2012 64-bit version on windows 7 ,i tried to install the plugin , the scripts file into the directory of scripts in maya2012/scripts folder, and the displace.mll into bin/plug-in , opend the plugin-manager and the plugin has shown but when i clicked on load i got error:????????? ???? ???? . (displaced) massage in red line , now i know there were only scripts files that suppose to work only with earlier version of maya , is there any way i can edit the scripts easly in order to make it load , if so please send me massage to f35fly@hotmail.com

Dashboard_avatar
Jun 04, 2011
Post id: 14639
Report this comment to moderators [SPAM]

Any support for maya 2012 planned for this?
Thankyou

Dashboard_avatar
Oct 07, 2011
Post id: 15342
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

First thank u "hajime" for this great tool which must be in Maya it self, I think so... ;) realy usefull...

in description - Maya2012 supported? But I have this problem:

// Error: Unable to dynamically load : C:/Documents and Settings/Gabriel/My Documents/maya/2012/DisplaceD.mll
The specified procedure could not be found.
//
// Error: The specified procedure could not be found.
//
// Error: The specified procedure could not be found.
(DisplaceD) //

copyed Scripts in scripts and Plugin to Plugins, I have Maya 2012 SP1, any idea?

Dashboard_avatar
Jul 11, 2012
Post id: 16590
Report this comment to moderators [SPAM]

Great oldschool style deformer.

Very veratile when used the right way.
We use it mainly to quickly animate flags and other simple clothy stuff where simulation would be overkill.

Just keep up compatibility with newer Maya versions please! (or release source so we can compile it ourselves).

If not the plug will simply die out... which would be a shame.

View i clemens's profile
Sep 13, 2012
Post id: 16861
Report this comment to moderators [SPAM]

Great work with this deformer. Any chance of getting compile for Maya 2013? Especiall for OS X? I would also volunteer for compiling it myself, as I already have some other plugins on the line here.
Please don't let this deformer die, because it's a great addition to the toolset in maya. Thanks.

Dashboard_avatar
May 10, 2013
Post id: 17943
Report this comment to moderators [SPAM]
  • Currently 0/5 Stars.

This just made my day, and the performance is incredible! Tens of thousands of polygons deforming with animated procedural maps in real-time. Bravo!

Write a Review

More from this artist